aboutsummaryrefslogtreecommitdiff
path: root/test/performance/odp_pktio_ordered_run.sh
diff options
context:
space:
mode:
authorMatias Elo <matias.elo@nokia.com>2019-06-07 15:20:17 +0300
committerMatias Elo <matias.elo@nokia.com>2019-08-16 12:41:43 +0300
commit8c5b85e0b4705415764d75981322c0c649dffff7 (patch)
tree9c3c5736367052dabf4f6940adc69b534ca05a51 /test/performance/odp_pktio_ordered_run.sh
parent0416281a1a370c112f5ceffe6f1e29e6dec86453 (diff)
test: performance: use correct test application return value
Previously, the return value of 'tee' was used, which returned success even if the actual test application failed. Signed-off-by: Matias Elo <matias.elo@nokia.com> Reviewed-by: Petri Savolainen <petri.savolainen@nokia.com>
Diffstat (limited to 'test/performance/odp_pktio_ordered_run.sh')
-rwxr-xr-xtest/performance/odp_pktio_ordered_run.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/performance/odp_pktio_ordered_run.sh b/test/performance/odp_pktio_ordered_run.sh
index 295b8803b..09dd2ab98 100755
--- a/test/performance/odp_pktio_ordered_run.sh
+++ b/test/performance/odp_pktio_ordered_run.sh
@@ -31,7 +31,7 @@ fi
$STDBUF ${TEST_DIR}/odp_pktio_ordered${EXEEXT} \
-i pcap:in=${PCAP_IN}:loops=$LOOPS,pcap:out=${PCAP_OUT} \
-t $DURATION | tee $LOG
-ret=$?
+ret=${PIPESTATUS[0]}
if [ $ret -ne 0 ]; then
echo "FAIL: no odp_pktio_ordered${EXEEXT}"